
Figure - Bug #117217
【BSP】【DVT】【Display】【偶现一次】OTA升级过程中偶现一次屏幕无画面输出，背光亮
2023-03-28 17:22 - SZTS_TEST 邹涛

Status: ASSIGNED Start date: 2023-03-28

Priority: High Due date:

Assignee: CD BSP 叶鹏 % Done: 0%

Category: 稳定性 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0086.C102(X102)

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: DB-Check Root cause:

Description

前置条件

pc和板子已经wifi adb连接成功

操作步骤：

1.执行adb push C:\Users\ts\Downloads\ota-0086-user.zip /sdcard/Download/update.zip

2.DUT设置内搜索*#149#，打开调试工具页面

3.执行fota升级，查看屏幕画面显示

预期结果：

1.fota升级流程正常结束，设备自动重启

实际结果：

1.点击fota升级后，在download进度时，画面突然黑屏

2.板子处于正常启动状态，投屏工具可以正常显示画面

3.重启后屏幕依然处于黑屏，背光不亮，屏幕未供电；板子进入900E

如何恢复

1.断电状态下，插拔lvds接口线缆；重新上电后板子正常启动，屏幕画面显示正常

History

#1 - 2023-03-30 18:46 - CD BSP-杜磊

- Status changed from New to ASSIGNED

从log上看，显示加串解串芯片i2c不通，需要check当次屏幕是否掉电或者显示线缆是否接触良好。

[  291.169344] i2c_geni 980000.i2c: i2c error :-107

[  291.182204] [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80 

[  291.192035] i2c_geni 980000.i2c: i2c error :-107

[  291.196808] [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

[  291.301354] i2c_geni 980000.i2c: i2c error :-107

[  291.313567] [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80 

[  291.322485] i2c_geni 980000.i2c: i2c error :-107

[  291.327292] [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

[  291.428614] i2c_geni 980000.i2c: i2c error :-107

[  291.440757] [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80 
[  291.450787] i2c_geni 980000.i2c: i2c error :-107

[  291.455595] [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

[  291.557084] i2c_geni 980000.i2c: i2c error :-107

[  291.569329] [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80 

[  291.581182] i2c_geni 980000.i2c: i2c error :-107

[  291.585985] [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

[  291.689295] i2c_geni 980000.i2c: i2c error :-107

[  291.701624] [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80 

[  291.710901] i2c_geni 980000.i2c: i2c error :-107

[  291.715714] [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

[  291.818028] i2c_geni 980000.i2c: i2c error :-107

[  291.830064] [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80 

[  291.838937] i2c_geni 980000.i2c: i2c error :-107

[  291.843840] [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

[  291.945942] i2c_geni 980000.i2c: i2c error :-107

[  291.957982] [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80 

[  291.967624] i2c_geni 980000.i2c: i2c error :-107

[  291.972412] [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

[  291.975786] qcom_rpmh DRV:apps_rsc TCS Busy, retrying RPMH message send: addr=0x50000

[  292.077252] i2c_geni 980000.i2c: i2c error :-107

[  292.082091] [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80 

[  292.091129] i2c_geni 980000.i2c: i2c error :-107

[  292.095940] [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

[  292.196276] i2c_geni 980000.i2c: i2c error :-107

[  292.208500] [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80 

[  292.218562] i2c_geni 980000.i2c: i2c error :-107

[  292.223360] [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

[  292.325375] i2c_geni 980000.i2c: i2c error :-107

[  292.337664] [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80 

[  292.346852] i2c_geni 980000.i2c: i2c error :-107

[  292.351628] [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

#2 - 2023-03-30 18:47 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD BSP 叶鹏 

叶鹏，

重启进入900E状态

需要看一下OTA是否成功？

#3 - 2023-03-30 20:25 - CD BSP 叶鹏 

从logcat日志看，升级并没有运行完成后续的所有日志都没有了；

需要确认设备重启之前升级程序是否运行完成

#4 - 2023-04-06 10:39 - CD BSP-杜磊

- Category set to BSP

#5 - 2023-04-08 12:19 - CD BSP-杜磊
- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD BSP 叶鹏  to 移动测试一组_CDTS 刘强

Hi, 刘强，

帮忙复现一下，并保留现场。

#6 - 2023-04-08 16:38 - CD TPM-王祥林

- Assignee changed from 移动测试一组_CDTS 刘强 to CD TPM-王祥林

需要再次确认为什么要测试继续复测。

#7 - 2023-04-10 11:24 - CD BSP 叶鹏 

感觉就是升级过程掉电了导致升级失败了，重启为啥会进900e也没有进900e的日志

#8 - 2023-04-10 17:37 - CD TPM-王祥林

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TPM-王祥林 to CD BSP 叶鹏 

叶鹏

1.贴一下日志的分析。

2.更新下一步AI

#9 - 2023-04-10 18:22 - CD BSP 叶鹏 

1.从logcat看到日志打印如下：

03-28 06:17:51.025  1306  1369 E tlogd   : [TzLogger](saveTzlogAsync) /sys/kernel/debug/tzdbg/log can not read.

03-28 06:17:51.245   649   663 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

03-28 06:17:51.388   649   662 I mpu_uart: [MSG-P:R]:recv sync frame timeout

03-28 06:17:51.892  1307  1307 I update_engine: [INFO:delta_performer.cc(115)] Completed 653/1591 operations (41%), 439173120/1097917018 bytes downloaded

(40%), overall progress 40%

03-28 06:17:52.142  4479  4493 D UpdateEngineStatus: onStatusUpdate:DownloadingPercent 0.4006086%

01-01 08:05:26.448     0     0 I qcom_rpmh DRV: apps_rsc TCS Busy, retrying RPMH message send: addr=0x50000

03-28 06:17:52.245   649   663 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

01-01 08:05:27.037     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.042     0     0 E         : [MAX975X:mcu_keep_wakeup_work_func] ERROR Failed to read dev:0x40 addr:0x0013 ret:-107

01-01 08:05:27.053     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.059     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:27.162     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.174     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:27.184     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.190     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:27.294     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.306     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80
01-01 08:05:27.318     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.322     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:27.426     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.438     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:27.447     0     0 E i2c_geni 980000.i2c: i2c error :-107

03-28 06:17:53.245   649   663 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

01-01 08:05:27.452     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:27.553     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.566     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:27.576     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.580     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:27.682     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.694     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:27.703     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.708     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:27.809     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.821     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:27.831     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.836     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:27.938     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.950     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:27.959     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:27.964     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:28.065     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:28.077     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:28.087     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:28.092     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:28.194     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:28.206     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:28.215     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:28.220     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:28.321     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:28.333     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:28.343     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:28.348     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:28.449     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:28.461     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:28.471     0     0 E i2c_geni 980000.i2c: i2c error :-107

03-28 06:17:54.246   649   663 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

01-01 08:05:28.476     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:28.536     0     0 I qcom_rpmh DRV: apps_rsc TCS Busy, retrying RPMH message send: addr=0x50000

01-01 08:05:28.578     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:28.583     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:28.592     0     0 E i2c_geni 980000.i2c: i2c error :-107

03-28 06:17:54.391   649   662 I mpu_uart: [MSG-P:R]:recv sync frame timeout

03-28 06:17:54.435  4479  4493 D UpdateEngineStatus: onStatusUpdate:DownloadingPercent 0.4106218%

01-01 08:05:28.597     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:28.701     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:28.713     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:28.723     0     0 E i2c_geni 980000.i2c: i2c error :-107

03-28 06:17:54.472  4479  5181 I OpenGLRenderer: Davey! duration=9223371758284ms; Flags=0, FrameTimelineVsyncId=5848, IntendedVsync=278566075671,

Vsync=278566075671, InputEventId=0, HandleInputStart=278566414527, AnimationStart=278566417392, PerformTraversalsStart=278566418746,

DrawStart=278567253381, FrameDeadline=278582742337, FrameInterval=278566404996, FrameStartTime=16666666, SyncQueued=278568599944,
SyncStart=278572569267, IssueDrawCommandsStart=278572849371, SwapBuffers=278575174944, FrameCompleted=9223372036854775807,

DequeueBufferDuration=47865, QueueBufferDuration=861614, GpuCompleted=9223372036854775807, SwapBuffersCompleted=278576809683, DisplayPresentTime=0, 

01-01 08:05:28.728     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:28.830     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:28.843     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:28.853     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:28.858     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:28.961     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:28.973     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:28.983     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:28.988     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:29.090     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:29.102     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:29.111     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:29.116     0     0 E         : [MAX975X:max96755g_write_bytes] ERROR i2c master send 0x80 err

01-01 08:05:29.217     0     0 E i2c_geni 980000.i2c: i2c error :-107

01-01 08:05:29.229     0     0 E         : [MAX975X:max96755x_vc1_lcd_dtc_check] ERROR Failed to read dev:0x15 addr:0x80

01-01 08:05:29.239     0     0 E i2c_geni 980000.i2c: i2c error :-107

这部分升级程序并没有运行完成，就直接任何日志都没有了

2.复现该现象并抓到对应的串口输出日志，这样才能调查是为啥会突然没有任何logcat的信息，屏幕变黑；

设备重启过程也需要抓上串口日志，才能调查为啥设备进入900e

#10 - 2023-04-12 09:29 - CD BSP 叶鹏 

- Assignee changed from CD BSP 叶鹏  to SZTS_TEST 邹涛

#11 - 2023-04-12 11:38 - CD TPM-王祥林

出现的问题有两个，目前分析结论如下：

1.屏幕黑屏，投屏显示正常。分析了是屏幕的问题，控制器正常。但因为屏幕的日志我们拿不到，现有的日志也没办法让屏幕进行分析。

2.重启问题。从日志里判断是突然掉电了导致日志没有保存到，然后进入了900e。这个时候就需要串口日志才能分析。

下一步计划：

1.屏幕问题不继续跟踪。

2.重启进900e问题，串口日志不能通过tlog保存，所以这个问题还是得开着串口日志来复现问题。复现的时候Tlog和串口都需要。

#12 - 2023-04-12 11:46 - CD TPM-王祥林

- Assignee changed from SZTS_TEST 邹涛 to CDTS_TEST 王成

王成

邹涛反馈还有其他任务，你协调一下看看后续在OTA过程中谁来跟踪这个问题。

#13 - 2023-04-12 15:02 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 移动测试一组_CDTS 刘强

强哥，看下这个问题
#14 - 2023-04-12 15:04 - CD TPM-王祥林

- Status changed from ASSIGNED to NEED_INFO

#15 - 2023-04-12 18:08 - 移动测试一组_CDTS 刘强

20230412：OTA 压测51次未复现

验证版本：0086-0090

#16 - 2023-04-13 19:11 - 移动测试一组_CDTS 刘强

20230413：OTA 压测84次未复现

验证版本：0086-0090

#17 - 2023-04-15 18:04 - 移动测试一组_CDTS 刘强

20230415：OTA 压测57次未复现

验证版本：0086-0090

#18 - 2023-04-18 17:06 - 移动测试一组_CDTS 刘强

20230418：OTA 压测12次未复现

验证版本：0086-0090

#19 - 2023-04-20 18:54 - 移动测试一组_CDTS 刘强

20230420：OTA 压测21次未复现

验证版本：0086-0090

#20 - 2023-05-04 18:48 - 移动测试一组_CDTS 刘强

0095版本压测：180次未复现

#21 - 2023-05-09 18:40 - CDTS-TEST 周婷

- Assignee changed from 移动测试一组_CDTS 刘强 to CD BSP 叶鹏 

请说明VB修改内容

#22 - 2023-05-10 19:20 - CD BSP 叶鹏 

- Assignee changed from CD BSP 叶鹏  to CDTS-TEST 周婷

为了确认是电源线没有插好，添加了一项打印串口日志的修改启动VB，用于获取设备电源存在时的日志信息；

#23 - 2023-05-11 19:59 - CDTS-TEST 周婷
- Assignee changed from CDTS-TEST 周婷 to 移动测试一组_CDTS 刘强

强哥 你看看你和邹涛都再验证下呢

#24 - 2023-06-01 23:10 - CDTS-TEST 周婷

- Category changed from BSP to 稳定性

#25 - 2023-06-05 18:41 - 物联网测试组_CDTS  唐霞 

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C104.202306040058.zip版本升级ota-0107-user.zip出现1次。tlog超过50M 私发研发分析

升级完成后设备自动重启后一直处于黑屏 背光亮中，重新断电上电后恢复正常

#26 - 2023-06-05 19:49 - 物联网测试组_CDTS  唐霞 

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD BSP 叶鹏 

#27 - 2023-06-06 09:48 - CD BSP 叶鹏 

900e的ramdump是否抓了

#28 - 2023-06-08 09:55 - CD BSP 叶鹏 

请复现该现象并抓ramdump和串口日志并提供复现该现象的tslog

Files

logcat.txt 1.96 MB 2023-03-28 SZTS_TEST 邹涛

dmesg.txt 403 KB 2023-03-28 SZTS_TEST 邹涛
